<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use App\Traits\NextKey;
use App\Traits\PushNew;

class InvoiceItemTax extends Model
{
	use NextKey,PushNew;
	const RECORD_ID = 'invoice_item_tax';
	public $incrementing = FALSE;

	protected $table = 'ab_invoice_item_tax';
	const CREATED_AT = 'date_orig';
	const UPDATED_AT = NULL;

	public $dateFormat = 'U';

	public function invoice_item()
	{
		return $this->belongsTo(InvoiceItem::class);
	}
}