<div class="form-group mb-0">
	<label for="checkout_id">Invoices Due</label>
	@if(($x=$o->invoices()->where('active',TRUE)->orderBy('due_date')->with(['items.taxes','paymentitems.payment','account'])->get()->where('due','>',0))->count())
		<table class="table table-hover">
			<thead>
			<tr>
				<th>ID</th>
				<th>Date Issue</th>
				<th>Date Due</th>
				<th>Total</th>
				<th>Due</th>
				<th>Apply</th>
			</tr>
			</thead>

			<tbody>
			@foreach ($x as $io)
				<tr>
					<td><a href="{{ url('u/invoice',[$io->id]) }}">{{ $io->sid }}</a></td>
					<td>{{ $io->invoice_date->format('Y-m-d') }}</td>
					<td>{{ $io->due_date->format('Y-m-d') }}</td>
					<td>{{ number_format($io->total,2) }}</td>
					<td>{{ number_format($io->due,2) }}</td>
					<td><input type="text" name="invoices[{{ $io->id }}]"></td>
				</tr>
			@endforeach
			</tbody>
		</table>
	@else
		<p>No invoices due.</p>
	@endif
</div>